Subject: Re(2): Chooser

From: [email-masked] (Joe Dearden)
Date: Mon, 03 Jul 2000 14:43:16 +0000

[email-masked] writes:
>
>
>On Mon, 3 Jul 2000, Joe Dearden wrote:
>
>> Hello,
>> 
>> I am having trouble getting my server to show up in the Mac chooser. I
>am
>> able to connect via tcp/ip. I have installed
>> Netatalk-1.4b2+asun2.1.3-8.i386.rpm on a compaq prolient running RedHat
>> 6.2.
>
>What do you see in /var/log/messages when the netatalk service starts?
>I'm guessing that it can't load the appletalk kernel module.  If you don't
>already have it, add:
>
>alias net-pf-5 appletalk
>
>to the /etc/conf.modules file and try restarting netatalk.
>
>	Andy
>

Andy,

Here are some lines from my /var/log/messages

Jul  2 14:10:08 netatalk kernel: NET4: AppleTalk 0.18 for Linux NET4.0 
.....
Jul  2 14:10:40 netatalk atalk: afpd startup succeeded
Jul  2 14:10:50 netatalk afpd[644]: Can't register netatalk:AFPServer@*
Jul  2 14:10:50 netatalk afpd[644]: ASIP started on 127.0.0.1:548(0)
(1.4b2+asun
2.1.3)

On my console after startup I get this message:

nbp_rgstr:Connection Timed out
	Can't Register netatalk:workstation@*
nbp_rgstr:Connection Timed out
	Can't register netatalk:netatalk@*

Thanks

Joe Dearden
Network Manager
Lincoln Public Schools

---

From: andrew morgan <[email-masked]>
Date: Mon, 3 Jul 2000 12:06:59 -0700 (PDT)

> 	Can't register netatalk:netatalk@*

Yes, this looks like the appletalk kernel module is not loaded.  Have you
tried the suggestion I gave above?  It is also interesting that it says
ASIP started on 127.0.0.1...  That should be your regular IP address, not
the loopback address.  I'm not sure why that is...

	Andy

---

From: Wilson Fletcher <wilsonf@[203.26.11.154]>
Date: Tue, 04 Jul 2000 13:44:19 +1000

I've just installed netatalk-1.4b2+asun2.1.3-7.i386.rpm on RedHat 6.2 and it
seems to be working fine apart from some problems with printing.

BUT .... I had to load the appletalk module first. To test this I did the
following:

    locate appletalk.o                            # To verify it exists
    modprobe -k -v appletalk                      # To load the module
    lsmod                                         # To verify the module was
loaded
    /usr/bin/atalkd -f /etc/atalk/atalkd.conf     # To load it manually and see
what
                                                  # heppened. Shouldn't need the
'-f'
                                                  # option but I'm paranoid.

(Note : I did /etc/rc.d/init.d/atalk stop first to make sure nothing else was
going to confuse the issue)

    Once I verified that this fixed atalk. I place this line in
/etc/rc.d/init.d/atalk after the line "Starting Appletalk Services":

    modprobe -k -v appletalk

You will notice that /etc/rc.d/init.d/atalk removes the appletalk module when
you execute it with the stop option but that it wasn't automatically loading it.
I guess it's aupposed to load automatically and Andrew Morgan's instruction may
have been designed to achieve that end.

When it comes to modules I always feel like a blind man driving a car. But the
above method worked for me and I'm running a similar config to yourself.

hope this helps,

Wilson Fletcher